> For the complete documentation index, see [llms.txt](https://docs.fulfillmenttools.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fulfillmenttools.com/documentation/apis/api-reference/expiries.md).

# Expiries

Endpoints to read and modify expires, for example, by extending the provisioning time.

## Get expiries

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get all expiries with optional filtering by status, startDate, endDate and processRef

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntity":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","type":"object","description":"ExpiryEntity"},"ExpiryEntityStatus":{"description":"Status of the expiry entity","enum":["ACTIVE","INACTIVE"],"type":"string","xml":{"name":"ExpiryEntityStatus"},"title":"ExpiryEntityStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get all expiries with optional filtering by status, startDate, endDate and processRef","operationId":"getExpiries","parameters":[{"description":"The number of items to return.","in":"query","name":"size","required":false,"schema":{"default":25,"maximum":500,"minimum":1,"type":"integer"}},{"description":"The ID of the last item from the previous page. The next page will start after this ID.","in":"query","name":"startAfterId","required":false,"schema":{"type":"string"}},{"description":"Status to filter the results","explode":false,"in":"query","name":"status","required":false,"schema":{"enum":["ACTIVE","INACTIVE"],"type":"string"}},{"description":"ProcessRef to filter the results","in":"query","name":"processRef","required":false,"schema":{"type":"string"}},{"description":"StartDate to filter the results. Expiry Date of results is after or equals the given value","in":"query","name":"startDate","required":false,"schema":{"format":"date-time","type":"string"}},{"description":"EndDate to filter the results. Expiry Date of results is before or equals the given value","in":"query","name":"endDate","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"items":{"$ref":"#/components/schemas/ExpiryEntity"},"type":"array"}}},"description":"found entities in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get expiries","tags":["Expiries"]}}}}
```

## Create expiry

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Create a new expiry entity with the provided data

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntityForCreation":{"properties":{"processRef":{"description":"Reference to the Process for which this expiry entity will be created","type":"string"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"}},"required":["processRef","provisioningTime","status"],"title":"ExpiryEntityForCreation","type":"object","description":"ExpiryEntityForCreation"},"ExpiryEntityStatus":{"description":"Status of the expiry entity","enum":["ACTIVE","INACTIVE"],"type":"string","xml":{"name":"ExpiryEntityStatus"},"title":"ExpiryEntityStatus"},"ExpiryEntity":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","type":"object","description":"ExpiryEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries":{"post":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Create a new expiry entity with the provided data","operationId":"createExpiry","parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntityForCreation"}}},"required":true},"responses":{"201":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntity"}}},"description":"created entity in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Create expiry","tags":["Expiries"]}}}}
```

## Get expiry

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Get a single expiry by its ID

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntity":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","type":"object","description":"ExpiryEntity"},"ExpiryEntityStatus":{"description":"Status of the expiry entity","enum":["ACTIVE","INACTIVE"],"type":"string","xml":{"name":"ExpiryEntityStatus"},"title":"ExpiryEntityStatus"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries/{expiryId}":{"get":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Get a single expiry by its ID","operationId":"getExpiry","parameters":[{"description":"ID of the expiry entity","in":"path","name":"expiryId","required":true,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntity"}}},"description":"found entity in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Get expiry","tags":["Expiries"]}}}}
```

## Update expiry

> This part of the API is in Beta status. For details, see the \<a href="<https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview>" target="\_blank">API release lifecycle documentation\</a>.\<br />\<br />Update an existing expiry entity with the provided data

```json
{"openapi":"3.0.1","info":{"title":"fulfillmenttools","version":"VERSIONLESS"},"tags":[{"description":"Endpoints to read and modify expires, for example, by extending the provisioning time.","name":"Expiries"}],"servers":[{"url":"https://{tenant}.api.fulfillmenttools.com","variables":{"tenant":{"default":"your-tenant-name"}}}],"security":[{"BearerToken":[]}],"components":{"securitySchemes":{"BearerToken":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"ExpiryEntityForUpdate":{"properties":{"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"version of the entity you want to alter","type":"integer"}},"required":["version"],"title":"ExpiryEntityForUpdate","type":"object","description":"ExpiryEntityForUpdate"},"ExpiryEntityStatus":{"description":"Status of the expiry entity","enum":["ACTIVE","INACTIVE"],"type":"string","xml":{"name":"ExpiryEntityStatus"},"title":"ExpiryEntityStatus"},"ExpiryEntity":{"properties":{"created":{"description":"The date this entity was created at the platform. This value is generated by the service.","format":"date-time","type":"string"},"expiryTime":{"description":"Time where the connected process expires, if not fulfilled","format":"date-time","type":"string"},"id":{"description":"Generated identifier of this entity","type":"string"},"lastModified":{"description":"The date this entity was modified last. This value is generated by the service.","format":"date-time","type":"string"},"processRef":{"description":"Reference to the Process of this Entity","type":"string"},"processVersion":{"description":"the version of the process this expiry entity belongs to, needed for preventing of faulty changes via late messages","format":"int64","type":"integer"},"provisioningTime":{"description":"Planned time where this entity should be provided or handed over to the customer","format":"date-time","type":"string"},"status":{"$ref":"#/components/schemas/ExpiryEntityStatus"},"version":{"description":"The version of the document to be used in optimistic locking mechanisms.","format":"int64","type":"integer"}},"required":["id","version","created","lastModified","processRef","provisioningTime","expiryTime","status"],"title":"ExpiryEntity","type":"object","description":"ExpiryEntity"},"ApiError":{"items":{"$ref":"#/components/schemas/ErrorInner"},"type":"array","xml":{"name":"ApiError"},"title":"ApiError","description":"ApiError"},"ErrorInner":{"properties":{"description":{"type":"string"},"requestVersion":{"description":"The version provided within an invalid request.","format":"int64","type":"integer"},"summary":{"type":"string"},"version":{"format":"int64","type":"integer"}},"required":["summary"],"type":"object","title":"ErrorInner","description":"ErrorInner"}}},"paths":{"/api/expiries/{expiryId}":{"patch":{"deprecated":false,"description":"This part of the API is in Beta status. For details, see the <a href=\"https://docs.fulfillmenttools.com/documentation/apis/api-versioning-and-lifecycle#lifecycle-overview\" target=\"_blank\">API release lifecycle documentation</a>.<br /><br />Update an existing expiry entity with the provided data","operationId":"updateExpiry","parameters":[{"description":"ID of the expiry entity","in":"path","name":"expiryId","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntityForUpdate"}}},"required":true},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExpiryEntity"}}},"description":"changed entity in the result."},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user is not allowed to operate against this API instance"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}},"description":"Your user, although recognized, is not authorized to use this endpoint"}},"summary":"Update expiry","tags":["Expiries"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.fulfillmenttools.com/documentation/apis/api-reference/expiries.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
